# Vue Notifications Components

## What's Included in the Vue Notification Package

The Vue Notification package includes the following list of components.

### Vue Badge

The [Vue Badge](https://www.syncfusion.com/vue-components/vue-badge?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm) component is a pure CSS control used to add notifications, messages, or statuses in different shapes and sizes. The Badge control can be easily integrated with ListView, Avatar, and other container controls.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/badge/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/badge/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-badge?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Badge Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-badge.png">
</p>

#### Key features

* [Types](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/badge/types.html) - Provided 8 different types of Badges.
* [Predefined colors](https://ej2.syncfusion.com/vue/documentation/badge/types/) - Provided 8 predefined situational colors of Badges.
* [Position](https://ej2.syncfusion.com/vue/documentation/badge/types/#position) - Supports 3 different positions, such as `default`, `top` and `bottom`.

### Vue Message

The [Vue Message](https://www.syncfusion.com/vue-components/vue-message?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm) component is a graphical user interface for displaying messages with visual severity levels. It differentiates messages with icons and colors to denote the importance and context of the message.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/message/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/message/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-message?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Message Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-message.png">
</p>

#### Key features

* [Severity](https://ej2.syncfusion.com/vue/documentation/message/severities/) - Provides an option to display the message with distinctive icons and colors based on the severity type. The available severity types such as **Normal**, **Success**, **Info**, **Warning**, and **Error**.
* [Variants](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/message/variants.html) - Provides an option to display the message with predefined appearance variants. The available variants such as **Text**, **Outlined**, and **Filled**.
* [Visibility](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/message/default.html) - Provides an option to show or hide the message.
* [Template](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/message/template.html) - Provides an option to customize the content of the message.

### Vue Toast

The [Vue Toast](https://www.syncfusion.com/vue-components/vue-toaster?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm) component is a small, non-blocking notification pop-up. It is a readable message displayed at the bottom of the screen or at a specific target and disappears automatically after a few seconds (time out) with different animation effects.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/toast/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/toast/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-toaster?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Toast Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-toast.png">
</p>

#### Key features

* [Position](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/toast/positions.html) - Enables to position the toast anywhere on the screen. It has a predefined set of positions and custom inputs for position based on the target.
* [Autohide and Timeout](https://ej2.syncfusion.com/vue/documentation/toast/timeout/) - Toast can be expired based on the timeOut property; it hides toast automatically when reaches specific time without user interaction.
* [Multi toast](https://ej2.syncfusion.com/vue/documentation/toast/position/) - Toasts can support to display multiple toasts with various time delay.
* [Progress bar](https://ej2.syncfusion.com/vue/documentation/toast/config/#progress-bar) - Supports to visually indicate time lapse when the toast expires.
* [Action buttons](https://ej2.syncfusion.com/vue/documentation/toast/action-buttons/) - Supports to add buttons in the toast for archiving any actions within the toast.
* [Template](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notification-npm#/material/toast/template.html) - User customized element can be defined for the toast using the template property.

### Vue Skeleton

The [Vue Skeleton](https://www.syncfusion.com/vue-components/vue-skeleton?utm_source=npm&utm_medium=listing&utm_campaign=vue-notifications-npm) component is a placeholder that animates a shimmer effect to let users know that the page’s content is currently loading. It has several built-in features such as support for shapes, shimmer effect, and UI customization.

<p align="center">
    <a href="https://ej2.syncfusion.com/vue/documentation/skeleton/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notifications-npm">Getting Started</a> .
    <a href="https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-notifications-npm#/material/skeleton/default.html">Online demos</a> .
    <a href="https://www.syncfusion.com/vue-components/vue-skeleton?utm_source=npm&utm_medium=listing&utm_campaign=vue-notifications-npm">Learn more</a>
</p>

<p align="center">
<img alt="Vue Skeleton Component" src="https://raw.githubusercontent.com/SyncfusionExamples/nuget-img/master/vue/vue-skeleton.gif">
</p>

#### Key features

* [Shapes](https://ej2.syncfusion.com/vue/documentation/skeleton/shapes) - Provides various built-in shape variants to design the layout of the page.
* [ShimmerEffect](https://ej2.syncfusion.com/vue/documentation/skeleton/shimmer-effect) - Provides an option to display the skeleton with various animation effects.
* [Styles](https://ej2.syncfusion.com/vue/documentation/skeleton/styles) - Customize the style of a skeleton.

## Setup

To install `notifications` and its dependent packages, use the following command,

```sh
npm install @syncfusion/ej2-vue-notifications
```

## Supported frameworks

Notification components are also offered in following list of frameworks.

| [<img src="https://ej2.syncfusion.com/github/images/js.svg" height="50" />](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/react.svg"  height="50" />](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[React](https://www.syncfusion.com/react-ui-components?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/angular.svg"  height="50" />](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[Angular](https://www.syncfusion.com/angular-components/?utm_medium=listing&utm_source=github)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netcore.svg" height="50" />](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | [<img src="https://ej2.syncfusion.com/github/images/netmvc.svg" height="50" />](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)<br/>&nbsp;&nbsp;[ASP.NET&nbsp;MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_medium=listing&utm_source=github)&nbsp;&nbsp; | 
| :-----: | :-----: | :-----: | :-----: | :-----: |

## Showcase samples

* [Asset Management](https://ej2.syncfusion.com/showcase/vue/assetmanagement/#/dashboard?utm_source=npm&utm_campaign=notification)

## Support

Product support is available through following mediums.

* [Support ticket](https://support.syncfusion.com/support/tickets/create) - Guaranteed Response in 24 hours | Unlimited tickets | Holiday support
* [Community forum](https://www.syncfusion.com/forums/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm)
* [GitHub issues](https://github.com/syncfusion/ej2-vue-ui-components/issues/new)
* [Request feature or report bug](https://www.syncfusion.com/feedback/vue?utm_source=npm&utm_medium=listing&utm_campaign=vue-dropdown-npm)
* Live chat

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/components/notifications/CHANGELOG.md). Get minor improvements and bug fixes every week to stay up to date with frequent updates.

## License and copyright

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's [EULA](https://www.syncfusion.com/eula/es/). To acquire a license for 80+ [Vue UI components](https://www.syncfusion.com/vue-components), you can [purchase](https://www.syncfusion.com/sales/products) or [start a free 30-day trial](https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community [license](https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

See [LICENSE FILE](https://github.com/syncfusion/ej2-vue-ui-components/blob/master/license) for more info.

© Copyright 2024 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.